Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.truetype
Class TTFSubSetFile

    java.lang.Object
      org.apache.fop.fonts.truetype.TTFFile
          org.apache.fop.fonts.truetype.TTFSubSetFile

public class TTFSubSetFile
extends TTFFile

Reads a TrueType file and generates a subset that can be used to embed a TrueType CID font. TrueType tables needed for embedded CID fonts are: "head", "hhea", "loca", "maxp", "cvt ", "prep", "glyf", "hmtx" and "fpgm". The TrueType spec can be found at the Microsoft Typography site: http://www.microsoft.com/truetype/

Field Summary

Fields inherited from class org.apache.fop.fonts.truetype.TTFFile
`dirTabs, lastLoca, log, mtxTab, TRACE_ENABLED`

Constructor Summary
`TTFSubSetFile()`

Method Summary
`byte[]` | `readFont(FontFileReader in, java.lang.String name, java.util.Map glyphs)` Returns a subset of the original font.

Methods inherited from class org.apache.fop.fonts.truetype.TTFFile
`checkTTC, convertTTFUnit2PDFUnit, getAnsiKerning, getCapHeight, getCharSetName, getCharWidth, getCMaps, getFamilyNames, getFirstChar, getFlags, getFontBBox, getFullName, getItalicAngle, getKerning, getLastChar, getLowerCaseAscent, getLowerCaseDescent, getNumGlyphs, getPostScriptName, getStemV, getSubFamilyName, getTTCnames, getWeightClass, getWidths, getXHeight, isCFF, isEmbeddable, main, printStuff, readDirTabs, readFont, readFont, readFontHeader, readHorizontalHeader, readHorizontalMetrics, readIndexToLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TTFSubSetFile

    public TTFSubSetFile()

Method Detail

### readFont

    public byte[] readFont(FontFileReader in,
                           java.lang.String name,
                           java.util.Map glyphs)
                    throws java.io.IOException

  Returns a subset of the original font.

  Parameters:
    `in` - FontFileReader to read from
    `name` - Name to be checked for in the font file
    `glyphs` - Map of glyphs (glyphs has old index as (Integer) key and new index as (Integer) value)
  Returns:
    A subset of the original font
  Throws:
    `java.io.IOException` - in case of an I/O problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.